#
# Example usage:
# ltsp::buildclient { dist:
#       mirror => "test",
#       securitymirror => "test"
# }

class ltsp::common {
  package { "ltsp-server": ensure => installed }
}

define ltsp::buildclient ( $mirror, $securitymirror  ) { 
    include ltsp::common
    exec { "ltsp-build-client":
	command => "ltsp-build-client --mirror=$mirror --security-mirror=$securitymirror &>/dev/null",
        path => "/bin:/usr/sbin:/usr/bin",
	creates => "/opt/ltsp/i386",
    }
}
